@charset "UTF-8";

* {
    margin: 0;
    padding: 0;
}

/* フォントの定義　ここから */

/* バンジー: CSSクラス（h1もじ）　ここから */
.bungee-regular {
  font-family: "Bungee", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* バンジー: CSSクラス　ここまで */

/* LXGWマーカーゴシック（なびもじ）　ここから */
.lxgw-marker-gothic-regular {
  font-family: "LXGW Marker Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* LXGWマーカーゴシック　ここまで */

/* M PLUS Rounded 1c: CSSクラス　ここから  */
/* 800だいじ　400　ほんぶん */
.m-plus-rounded-1c-regular {
  font-family: "M PLUS Rounded 1c", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* M PLUS Rounded 1c: CSSクラス　ここまで  */
/* LXGWマーカーゴシック　とっぷへもどる  ここから　*/
.lxgw-marker-gothic-regular {
  font-family: "LXGW Marker Gothic", sans-serif;
  font-weight: 400;
  font-style: normal;
}
/* LXGWマーカーゴシック　とっぷへもどる  ここまで　*/
/* フォントの定義　ここまで */

header {
/* グローバルナビの固定　ここから */
    position: fixed;
    top: 0;
    width: 98%;
/* グローバルナビの固定　ここまで */
    z-index: 100000;/* 流しアニメを貫通しないように前面に配置 */
    display: flex;
    margin-right: auto;
    margin-left: auto;
    width: 100%;
    background-color: rgb(206, 254, 227);
}

/* ろご＋会社名まーじ */
.rogo_marge {
    display: flex;
    width: 40%;
    margin-top: 0.5%;
    margin-bottom: 0.5%;
    margin-right: 7%;
    margin-left: 4%;
}

/* ろご画像 */
.rogoPh {
    display: block;
    width: 20%;
    transition: 0.5s;
}

.rogoPh img:hover {
    background-image: url(../images/kamihubuki.png);
    background-repeat: no-repeat;
    animation: rotation 2s linear infinite;
    /* アニメーションの設定 */
    /* 回転の中心を要素の中心にする（デフォルトで中心だが明示） */
    cursor: pointer;
}

@keyframes rotation {
    0% {
    transform: rotate(0deg);
    }
    20% {
    transform: rotate(-20deg);
    }
    40% {
    transform: rotate(0deg);
    }
    80% {
    transform: rotate(20deg);
    }
    100% {
    transform: rotate(0deg);
    }
}

h1 {
    margin-top: 6%;
    margin-right: 2%;
    margin-left: 2%;
    height: 8vh;
    font-family: "Bungee", sans-serif;
    line-height: 1;
    font-size: 150%;
    color: rgb(40, 4, 74);
}

h1 a {
    list-style-type: none;
    text-decoration: none;
}

h2 {
    margin-top: 5%;
    margin-bottom: 2%;
    padding-top: 4%;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 800;
    text-align: center;
    font-size: 2.5vw;
    color: blue;
}

header .navigation {
    width: 80%;
}

header .navigation nav {
    width: 100%;
}

header .navigation nav ul {
    display: flex;
    /* マーカの打ち消し */
    list-style-type: none;
}

header .navigation nav ul li {
    width: 23%;
    border-right: 1px solid #ffff;
    border-left: 1px solid #fff;
}

header .navigation nav ul li a {
    display: block;
    text-align: center;
    line-height: 3;
    text-decoration: none;/* 下線けしけし */
    font-family: "LXGW Marker Gothic", sans-serif;
    font-size: 100%;
    color: rgb(0, 0, 85);
    border: 2px solid transparent;/* 透明枠線設置。下の要素が動かないため */
    transition: 0.5s;
}

.not_akari {
    background-color: rgb(240, 255, 247);
}

.akari a {
    background-color: rgb(238, 147, 131);
}

header .navigation nav ul li a:hover {
    transition: background-color 0.3s ease;
    color: red;
    border-bottom: 2px solid red;
}

.menu-list {
    display: none;
}

/* チェックボックスを隠す */
.menu-checkbox {
  display: none;
}

/* めいん　ここから */
main {
    display: block;
    width: 100%;
    background-image: url(../images/main_visual_Ha.png);
    background-size: cover;
    background-repeat: no-repeat;
    /* 半透明の白をブレンドしてかぶせる */
    background-color: rgba(255,255,255,0.8);
    background-blend-mode: lighten;
    /* ↑画像を半透明にするの　ここまで */
}

section p {
    width: 48%;
}

section:first-of-type {
    padding-top: 4%;
}

p {
    width: 60%;
    font-size: 100%;
    color: #202020;
    font-family: "M PLUS Rounded 1c", sans-serif;
    font-weight: 400;
    letter-spacing: 0.1em;/* 適切な文字間 */
    text-align: justify;/* おしりそろえ */
    line-height: 2;
    margin-right: auto;
    margin-left: auto;
} 



.omoi {
    width: 60%;
    padding: 2% 2% 2% 6%;/* もともとpadding 2%なってたが、左を移動することでマーカーが移動になる。 */
    margin-right: auto;
    margin-left: auto;
}


ul {
    margin-left: 20px;
    list-style-type: disc;
    list-style-position: outside;
}

ul li {
    margin-bottom: 2%;
}

ul li p {
    width: 100%;
    text-align: left;
}

.PhBox {
    width: 55%;
    margin-bottom: 2%;
    margin-right: auto;
    margin-left: auto;
}

.PhBox img {
    border-radius: 20px;/* 写真のよつかどを角丸にする */
    width: 100%;
}

strong {
    font-size: 130%;
    margin-top: 3%;
    margin-bottom: 3%;
}

section p {
    text-align: center;
    padding-bottom: 2%;
}

section ul {
    display: block;
    width: 75%;
    margin: 0;
    padding: 0;
    margin-right: auto;
    margin-left: auto;
}

section ul li {
    list-style-type: none;
    border-bottom: 1px dotted blue;
}

section ul li a {
    text-align: left;
    background-color: rebeccapurple;
}

.kamoku_parent {
    display: flex;
    padding-right: 8%;
    padding-left: 8%;
    margin: 4%;
}


.kamokuPh img {
    width: 90%;
    border-radius: 20px;
}

.kamokuPh {
    transition: 1s;
}

.kamokuPh:hover {
    transition: 1s;
    transform: scale(1.05);
}


figure {
    text-align: center;
}

figure p {
    width: 80%;
    line-height: 1.5;
}

.address_map {
    display: flex;
    justify-content: center;
}

.map img {
    width: 35%;
}

.address {
    width: 45%;
}
.juusyo_map ul li {
    line-height: 2;
}

/* 空白ぞーん em 指定は　LaTeXのzwとほぼ同じ指定かも。 */
.juusyo {
    margin-right: 3.9em;
}
.denwa {
    margin-right: 1.3em;
}
.eigyou {
    margin-right: 2em;
}
.teikyuu {
    margin-right: 3em;
}

.button_top {
    /* ボタンの色と文字の色とサイズ */
    background-color: orange;
    color: white;
    font-size: 16px;

    /* ボタンのサイズと角丸 */
    width: 80px;
    height: 80px;
    border-radius: 50%;

    /* 次に作る上向きの三角と、TOPの文字の位置を揃えるためのcss */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row-reverse;
    margin-left: auto;

    transition: 1s;
}
.button_top:hover {
    transition: 1s;
    transform: translateY(-10px);
    background-color: yellowgreen;
}
/* めいん　ここまで */

/* ふったー　ここから */
footer {
    width: 100;
    background-color: rgb(206, 254, 227);
}

footer ul {
    display: flex;
    width: 100%;
    height: 5vh;
    justify-content: center;
    list-style-type: none;/* マーカー打ち消し */
    background-color: rgb(224, 240, 231);
    margin-right: auto;
    margin-left: auto;
    gap: 4%; /* ふったーの項目間をあける */
}

footer ul li a {
    text-decoration: none;/* 下線打ち消し */
    line-height: 1;
}

footer address {
    width: 45%;
    margin-top: 1%;
    margin-right: auto;
    margin-left: auto;
}

footer address p {
    line-height: 1.5;
}

footer small {
    display: block;/* インラインからブロックに変更することで動ける */
    text-align: center;/* 文字の右寄せ */
    margin-right: auto;
    margin-left: auto;
    width: 70%;/* 動ける範囲を最大にする */
}
/* ふったー　ここまで */